# Uses of Interface
org.opensaml.xmlsec.keyinfo.KeyInfoGeneratorFactory

Packages that use KeyInfoGeneratorFactory
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of KeyInfoGeneratorFactory in org.opensaml.xmlsec.keyinfo

Fields in org.opensaml.xmlsec.keyinfo with type parameters of type KeyInfoGeneratorFactory
Modifier and Type
Field
Description
`private final Map<Class<? extends Credential>,KeyInfoGeneratorFactory>`
KeyInfoGeneratorManager.`factories`
The factories being managed, indexed by credential type.
Methods in org.opensaml.xmlsec.keyinfo that return KeyInfoGeneratorFactory
Modifier and Type
Method
Description
`KeyInfoGeneratorFactory`
KeyInfoGeneratorManager.`getFactory(Credential credential)`
Get the factory which produces KeyInfoGenerators which can handle the specified credential.
`KeyInfoGeneratorFactory`
NamedKeyInfoGeneratorManager.`getFactory(String name, Credential credential)`
Lookup and return the named generator factory for the type of the credential specified.
Methods in org.opensaml.xmlsec.keyinfo that return types with arguments of type KeyInfoGeneratorFactory
Modifier and Type
Method
Description
`Collection<KeyInfoGeneratorFactory>`
KeyInfoGeneratorManager.`getFactories()`
Get the (unmodifiable) collection of all factories managed by this manager.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type KeyInfoGeneratorFactory
Modifier and Type
Method
Description
`void`
NamedKeyInfoGeneratorManager.`deregisterDefaultFactory(KeyInfoGeneratorFactory factory)`
De-register a factory with the default (unnamed) manager.
`void`
KeyInfoGeneratorManager.`deregisterFactory(KeyInfoGeneratorFactory factory)`
De-register a factory within this manager instance.
`void`
NamedKeyInfoGeneratorManager.`deregisterFactory(String name, KeyInfoGeneratorFactory factory)`
De-register a factory within the specified named manager.
`void`
NamedKeyInfoGeneratorManager.`registerDefaultFactory(KeyInfoGeneratorFactory factory)`
Register a factory with the default (unnamed) manager.
`void`
KeyInfoGeneratorManager.`registerFactory(KeyInfoGeneratorFactory factory)`
Register a factory within this manager instance.
`void`
NamedKeyInfoGeneratorManager.`registerFactory(String name, KeyInfoGeneratorFactory factory)`
Register a factory within the specified named manager.

## Uses of KeyInfoGeneratorFactory in org.opensaml.xmlsec.keyinfo.impl

Classes in org.opensaml.xmlsec.keyinfo.impl that implement KeyInfoGeneratorFactory
Modifier and Type
Class
Description
`class`
`BasicKeyInfoGeneratorFactory`
A factory implementation which produces instances of `KeyInfoGenerator` capable of handling the information contained within a `Credential`.
`class`
`KeyAgreementKeyInfoGeneratorFactory`
A factory implementation which produces instances of `KeyInfoGenerator` capable of handling the information contained within an `KeyAgreementCredential`.
`class`
`X509KeyInfoGeneratorFactory`
A factory implementation which produces instances of `KeyInfoGenerator` capable of handling the information contained within an `X509Credential`.